DateInterval Class Reference
Date and time calculations

Date interval described by a number of a given time unit. More...

`#include <ql/experimental/commodities/dateinterval.hpp>`

Inheritance diagram for DateInterval:
[legend]

## Public Member Functions

| DateInterval (const Date &startDate, const Date &endDate)
const Date & | startDate () const
const Date & | endDate () const
bool | isDateBetween (Date date, bool includeFirst=true, bool includeLast=true) const
DateInterval | intersection (const DateInterval &di) const
bool | operator== (const DateInterval &rhs) const
bool | operator!= (const DateInterval &rhs) const

## Friends

std::ostream & | operator<< (std::ostream &, const DateInterval &)

## Detailed Description

Date interval described by a number of a given time unit.